Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestOptimizeForProtoFile.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestOptimizeForProtoFile.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestOptimizeForProtoFile.cs	(revision 4068)
@@ -2,11 +2,9 @@
 
 using pb = global::Google.ProtocolBuffers;
-using pbc = global::Google.ProtocolBuffers.Collections;
 using pbd = global::Google.ProtocolBuffers.Descriptors;
-using scg = global::System.Collections.Generic;
 namespace Google.ProtocolBuffers.TestProtos {
-  
+
   public static partial class UnitTestOptimizeForProtoFile {
-  
+
     #region Extension registration
     public static void RegisterAllExtensions(pb::ExtensionRegistry registry) {
@@ -28,25 +26,25 @@
     }
     private static pbd::FileDescriptor descriptor;
-    
+
     static UnitTestOptimizeForProtoFile() {
       byte[] descriptorData = global::System.Convert.FromBase64String(
-          "Citnb29nbGUvcHJvdG9idWYvdW5pdHRlc3Rfb3B0aW1pemVfZm9yLnByb3Rv" + 
-          "EhFwcm90b2J1Zl91bml0dGVzdBokZ29vZ2xlL3Byb3RvYnVmL2NzaGFycF9v" + 
-          "cHRpb25zLnByb3RvGh5nb29nbGUvcHJvdG9idWYvdW5pdHRlc3QucHJvdG8i" + 
-          "kgIKFFRlc3RPcHRpbWl6ZWRGb3JTaXplEgkKAWkYASABKAUSLgoDbXNnGBMg" + 
-          "ASgLMiEucHJvdG9idWZfdW5pdHRlc3QuRm9yZWlnbk1lc3NhZ2UqCQjoBxCA" + 
-          "gICAAjJACg50ZXN0X2V4dGVuc2lvbhInLnByb3RvYnVmX3VuaXR0ZXN0LlRl" + 
-          "c3RPcHRpbWl6ZWRGb3JTaXplGNIJIAEoBTJyCg90ZXN0X2V4dGVuc2lvbjIS" + 
-          "Jy5wcm90b2J1Zl91bml0dGVzdC5UZXN0T3B0aW1pemVkRm9yU2l6ZRjTCSAB" + 
-          "KAsyLy5wcm90b2J1Zl91bml0dGVzdC5UZXN0UmVxdWlyZWRPcHRpbWl6ZWRG" + 
-          "b3JTaXplIikKHFRlc3RSZXF1aXJlZE9wdGltaXplZEZvclNpemUSCQoBeBgB" + 
-          "IAIoBSJaChxUZXN0T3B0aW9uYWxPcHRpbWl6ZWRGb3JTaXplEjoKAW8YASAB" + 
-          "KAsyLy5wcm90b2J1Zl91bml0dGVzdC5UZXN0UmVxdWlyZWRPcHRpbWl6ZWRG" + 
-          "b3JTaXplQkZIAsI+QQohR29vZ2xlLlByb3RvY29sQnVmZmVycy5UZXN0UHJv" + 
+          "Citnb29nbGUvcHJvdG9idWYvdW5pdHRlc3Rfb3B0aW1pemVfZm9yLnByb3Rv" +
+          "EhFwcm90b2J1Zl91bml0dGVzdBokZ29vZ2xlL3Byb3RvYnVmL2NzaGFycF9v" +
+          "cHRpb25zLnByb3RvGh5nb29nbGUvcHJvdG9idWYvdW5pdHRlc3QucHJvdG8i" +
+          "kgIKFFRlc3RPcHRpbWl6ZWRGb3JTaXplEgkKAWkYASABKAUSLgoDbXNnGBMg" +
+          "ASgLMiEucHJvdG9idWZfdW5pdHRlc3QuRm9yZWlnbk1lc3NhZ2UqCQjoBxCA" +
+          "gICAAjJACg50ZXN0X2V4dGVuc2lvbhInLnByb3RvYnVmX3VuaXR0ZXN0LlRl" +
+          "c3RPcHRpbWl6ZWRGb3JTaXplGNIJIAEoBTJyCg90ZXN0X2V4dGVuc2lvbjIS" +
+          "Jy5wcm90b2J1Zl91bml0dGVzdC5UZXN0T3B0aW1pemVkRm9yU2l6ZRjTCSAB" +
+          "KAsyLy5wcm90b2J1Zl91bml0dGVzdC5UZXN0UmVxdWlyZWRPcHRpbWl6ZWRG" +
+          "b3JTaXplIikKHFRlc3RSZXF1aXJlZE9wdGltaXplZEZvclNpemUSCQoBeBgB" +
+          "IAIoBSJaChxUZXN0T3B0aW9uYWxPcHRpbWl6ZWRGb3JTaXplEjoKAW8YASAB" +
+          "KAsyLy5wcm90b2J1Zl91bml0dGVzdC5UZXN0UmVxdWlyZWRPcHRpbWl6ZWRG" +
+          "b3JTaXplQkZIAsI+QQohR29vZ2xlLlByb3RvY29sQnVmZmVycy5UZXN0UHJv" +
           "dG9zEhxVbml0VGVzdE9wdGltaXplRm9yUHJvdG9GaWxl");
       pbd::FileDescriptor.InternalDescriptorAssigner assigner = delegate(pbd::FileDescriptor root) {
         descriptor = root;
         internal__static_protobuf_unittest_TestOptimizedForSize__Descriptor = Descriptor.MessageTypes[0];
-        internal__static_protobuf_unittest_TestOptimizedForSize__FieldAccessorTable = 
+        internal__static_protobuf_unittest_TestOptimizedForSize__FieldAccessorTable =
             new pb::FieldAccess.FieldAccessorTable<global::Google.ProtocolBuffers.TestProtos.TestOptimizedForSize, global::Google.ProtocolBuffers.TestProtos.TestOptimizedForSize.Builder>(internal__static_protobuf_unittest_TestOptimizedForSize__Descriptor,
                 new string[] { "I", "Msg", });
@@ -54,9 +52,9 @@
         global::Google.ProtocolBuffers.TestProtos.TestOptimizedForSize.TestExtension2 = pb::GeneratedSingleExtension<global::Google.ProtocolBuffers.TestProtos.TestRequiredOptimizedForSize>.CreateInstance(global::Google.ProtocolBuffers.TestProtos.TestOptimizedForSize.Descriptor.Extensions[1]);
         internal__static_protobuf_unittest_TestRequiredOptimizedForSize__Descriptor = Descriptor.MessageTypes[1];
-        internal__static_protobuf_unittest_TestRequiredOptimizedForSize__FieldAccessorTable = 
+        internal__static_protobuf_unittest_TestRequiredOptimizedForSize__FieldAccessorTable =
             new pb::FieldAccess.FieldAccessorTable<global::Google.ProtocolBuffers.TestProtos.TestRequiredOptimizedForSize, global::Google.ProtocolBuffers.TestProtos.TestRequiredOptimizedForSize.Builder>(internal__static_protobuf_unittest_TestRequiredOptimizedForSize__Descriptor,
                 new string[] { "X", });
         internal__static_protobuf_unittest_TestOptionalOptimizedForSize__Descriptor = Descriptor.MessageTypes[2];
-        internal__static_protobuf_unittest_TestOptionalOptimizedForSize__FieldAccessorTable = 
+        internal__static_protobuf_unittest_TestOptionalOptimizedForSize__FieldAccessorTable =
             new pb::FieldAccess.FieldAccessorTable<global::Google.ProtocolBuffers.TestProtos.TestOptionalOptimizedForSize, global::Google.ProtocolBuffers.TestProtos.TestOptionalOptimizedForSize.Builder>(internal__static_protobuf_unittest_TestOptionalOptimizedForSize__Descriptor,
                 new string[] { "O", });
@@ -74,5 +72,5 @@
     }
     #endregion
-    
+
   }
   #region Messages
@@ -82,21 +80,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override TestOptimizedForSize DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override TestOptimizedForSize ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestOptimizeForProtoFile.internal__static_protobuf_unittest_TestOptimizedForSize__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<TestOptimizedForSize, TestOptimizedForSize.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestOptimizeForProtoFile.internal__static_protobuf_unittest_TestOptimizedForSize__FieldAccessorTable; }
     }
-    
+
     public const int TestExtensionFieldNumber = 1234;
     public static pb::GeneratedExtensionBase<int> TestExtension;
@@ -112,5 +110,5 @@
       get { return i_; }
     }
-    
+
     public const int MsgFieldNumber = 19;
     private bool hasMsg;
@@ -122,22 +120,22 @@
       get { return msg_; }
     }
-    
+
     public static TestOptimizedForSize ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static TestOptimizedForSize ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static TestOptimizedForSize ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static TestOptimizedForSize ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static TestOptimizedForSize ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static TestOptimizedForSize ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static TestOptimizedForSize ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -148,8 +146,8 @@
     }
     public static TestOptimizedForSize ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static TestOptimizedForSize ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -157,36 +155,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(TestOptimizedForSize prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::ExtendableBuilder<TestOptimizedForSize, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       TestOptimizedForSize result = new TestOptimizedForSize();
-      
+
       protected override TestOptimizedForSize MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new TestOptimizedForSize();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.TestOptimizedForSize.Descriptor; }
       }
-      
+
       public override TestOptimizedForSize DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.TestOptimizedForSize.DefaultInstance; }
       }
-      
+
       public override TestOptimizedForSize BuildPartial() {
         if (result == null) {
@@ -197,6 +195,6 @@
         return returnMe;
       }
-      
-      
+
+
       public bool HasI {
         get { return result.HasI; }
@@ -216,7 +214,7 @@
         return this;
       }
-      
+
       public bool HasMsg {
-       get { return result.HasMsg; }
+        get { return result.HasMsg; }
       }
       public global::Google.ProtocolBuffers.TestProtos.ForeignMessage Msg {
@@ -240,5 +238,5 @@
         if (result.HasMsg &&
             result.msg_ != global::Google.ProtocolBuffers.TestProtos.ForeignMessage.DefaultInstance) {
-            result.msg_ = global::Google.ProtocolBuffers.TestProtos.ForeignMessage.CreateBuilder(result.msg_).MergeFrom(value).BuildPartial();
+          result.msg_ = global::Google.ProtocolBuffers.TestProtos.ForeignMessage.CreateBuilder(result.msg_).MergeFrom(value).BuildPartial();
         } else {
           result.msg_ = value;
@@ -257,5 +255,5 @@
     }
   }
-  
+
   public sealed partial class TestRequiredOptimizedForSize : pb::GeneratedMessage<TestRequiredOptimizedForSize, TestRequiredOptimizedForSize.Builder> {
     private static readonly TestRequiredOptimizedForSize defaultInstance = new Builder().BuildPartial();
@@ -263,21 +261,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override TestRequiredOptimizedForSize DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override TestRequiredOptimizedForSize ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestOptimizeForProtoFile.internal__static_protobuf_unittest_TestRequiredOptimizedForSize__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<TestRequiredOptimizedForSize, TestRequiredOptimizedForSize.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestOptimizeForProtoFile.internal__static_protobuf_unittest_TestRequiredOptimizedForSize__FieldAccessorTable; }
     }
-    
+
     public const int XFieldNumber = 1;
     private bool hasX;
@@ -289,22 +287,22 @@
       get { return x_; }
     }
-    
+
     public static TestRequiredOptimizedForSize ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static TestRequiredOptimizedForSize ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static TestRequiredOptimizedForSize ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static TestRequiredOptimizedForSize ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static TestRequiredOptimizedForSize ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static TestRequiredOptimizedForSize ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static TestRequiredOptimizedForSize ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -315,8 +313,8 @@
     }
     public static TestRequiredOptimizedForSize ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static TestRequiredOptimizedForSize ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -324,36 +322,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(TestRequiredOptimizedForSize prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<TestRequiredOptimizedForSize, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       TestRequiredOptimizedForSize result = new TestRequiredOptimizedForSize();
-      
+
       protected override TestRequiredOptimizedForSize MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new TestRequiredOptimizedForSize();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.TestRequiredOptimizedForSize.Descriptor; }
       }
-      
+
       public override TestRequiredOptimizedForSize DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.TestRequiredOptimizedForSize.DefaultInstance; }
       }
-      
+
       public override TestRequiredOptimizedForSize BuildPartial() {
         if (result == null) {
@@ -364,6 +362,6 @@
         return returnMe;
       }
-      
-      
+
+
       public bool HasX {
         get { return result.HasX; }
@@ -388,5 +386,5 @@
     }
   }
-  
+
   public sealed partial class TestOptionalOptimizedForSize : pb::GeneratedMessage<TestOptionalOptimizedForSize, TestOptionalOptimizedForSize.Builder> {
     private static readonly TestOptionalOptimizedForSize defaultInstance = new Builder().BuildPartial();
@@ -394,21 +392,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override TestOptionalOptimizedForSize DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override TestOptionalOptimizedForSize ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestOptimizeForProtoFile.internal__static_protobuf_unittest_TestOptionalOptimizedForSize__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<TestOptionalOptimizedForSize, TestOptionalOptimizedForSize.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestOptimizeForProtoFile.internal__static_protobuf_unittest_TestOptionalOptimizedForSize__FieldAccessorTable; }
     }
-    
+
     public const int OFieldNumber = 1;
     private bool hasO;
@@ -420,22 +418,22 @@
       get { return o_; }
     }
-    
+
     public static TestOptionalOptimizedForSize ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static TestOptionalOptimizedForSize ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static TestOptionalOptimizedForSize ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static TestOptionalOptimizedForSize ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static TestOptionalOptimizedForSize ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static TestOptionalOptimizedForSize ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static TestOptionalOptimizedForSize ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -446,8 +444,8 @@
     }
     public static TestOptionalOptimizedForSize ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static TestOptionalOptimizedForSize ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -455,36 +453,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(TestOptionalOptimizedForSize prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<TestOptionalOptimizedForSize, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       TestOptionalOptimizedForSize result = new TestOptionalOptimizedForSize();
-      
+
       protected override TestOptionalOptimizedForSize MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new TestOptionalOptimizedForSize();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.TestOptionalOptimizedForSize.Descriptor; }
       }
-      
+
       public override TestOptionalOptimizedForSize DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.TestOptionalOptimizedForSize.DefaultInstance; }
       }
-      
+
       public override TestOptionalOptimizedForSize BuildPartial() {
         if (result == null) {
@@ -495,8 +493,8 @@
         return returnMe;
       }
-      
-      
+
+
       public bool HasO {
-       get { return result.HasO; }
+        get { return result.HasO; }
       }
       public global::Google.ProtocolBuffers.TestProtos.TestRequiredOptimizedForSize O {
@@ -520,5 +518,5 @@
         if (result.HasO &&
             result.o_ != global::Google.ProtocolBuffers.TestProtos.TestRequiredOptimizedForSize.DefaultInstance) {
-            result.o_ = global::Google.ProtocolBuffers.TestProtos.TestRequiredOptimizedForSize.CreateBuilder(result.o_).MergeFrom(value).BuildPartial();
+          result.o_ = global::Google.ProtocolBuffers.TestProtos.TestRequiredOptimizedForSize.CreateBuilder(result.o_).MergeFrom(value).BuildPartial();
         } else {
           result.o_ = value;
@@ -537,6 +535,6 @@
     }
   }
-  
+
   #endregion
-  
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TextFormatTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TextFormatTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TextFormatTest.cs	(revision 4068)
@@ -38,6 +38,4 @@
 using Google.ProtocolBuffers.TestProtos;
 using NUnit.Framework;
-using System.Globalization;
-using System.Threading;
 
 namespace Google.ProtocolBuffers {
@@ -82,5 +80,5 @@
       "  str: \"foo\"\n" +
       "}\n";
-    
+
     /// <summary>
     /// Print TestAllTypes and compare with golden file. 
@@ -166,5 +164,5 @@
     private static ByteString Bytes(string str) {
       return ByteString.CopyFrom(Encoding.GetEncoding(28591).GetBytes(str));
-    }   
+    }
 
     [Test]
@@ -172,12 +170,12 @@
       IMessage message = TestAllTypes.CreateBuilder()
         // Signed vs. unsigned numbers.
-        .AddRepeatedInt32 (-1)
+        .AddRepeatedInt32(-1)
         .AddRepeatedUint32(uint.MaxValue)
-        .AddRepeatedInt64 (-1)
+        .AddRepeatedInt64(-1)
         .AddRepeatedUint64(ulong.MaxValue)
 
-        .AddRepeatedInt32 (1  << 31)
-        .AddRepeatedUint32(1U  << 31)
-        .AddRepeatedInt64 (1L << 63)
+        .AddRepeatedInt32(1 << 31)
+        .AddRepeatedUint32(1U << 31)
+        .AddRepeatedInt64(1L << 63)
         .AddRepeatedUint64(1UL << 63)
 
@@ -334,5 +332,6 @@
         TextFormat.Merge(text, TestUtil.CreateExtensionRegistry(), builder);
         Assert.Fail("Expected parse exception.");
-      } catch (FormatException e) {
+      }
+      catch (FormatException e) {
         Assert.AreEqual(error, e.Message);
       }
@@ -418,5 +417,6 @@
         action();
         Assert.Fail("Should have thrown an exception.");
-      } catch (FormatException) {
+      }
+      catch (FormatException) {
         // success
       }
@@ -451,37 +451,37 @@
     [Test]
     public void ParseInteger() {
-      Assert.AreEqual(          0, TextFormat.ParseInt32(          "0"));
-      Assert.AreEqual(          1, TextFormat.ParseInt32(          "1"));
-      Assert.AreEqual(         -1, TextFormat.ParseInt32(         "-1"));
-      Assert.AreEqual(      12345, TextFormat.ParseInt32(      "12345"));
-      Assert.AreEqual(     -12345, TextFormat.ParseInt32(     "-12345"));
-      Assert.AreEqual( 2147483647, TextFormat.ParseInt32( "2147483647"));
+      Assert.AreEqual(0, TextFormat.ParseInt32("0"));
+      Assert.AreEqual(1, TextFormat.ParseInt32("1"));
+      Assert.AreEqual(-1, TextFormat.ParseInt32("-1"));
+      Assert.AreEqual(12345, TextFormat.ParseInt32("12345"));
+      Assert.AreEqual(-12345, TextFormat.ParseInt32("-12345"));
+      Assert.AreEqual(2147483647, TextFormat.ParseInt32("2147483647"));
       Assert.AreEqual(-2147483648, TextFormat.ParseInt32("-2147483648"));
 
-      Assert.AreEqual(          0, TextFormat.ParseUInt32(         "0"));
-      Assert.AreEqual(          1, TextFormat.ParseUInt32(         "1"));
-      Assert.AreEqual(      12345, TextFormat.ParseUInt32(     "12345"));
-      Assert.AreEqual( 2147483647, TextFormat.ParseUInt32("2147483647"));
+      Assert.AreEqual(0, TextFormat.ParseUInt32("0"));
+      Assert.AreEqual(1, TextFormat.ParseUInt32("1"));
+      Assert.AreEqual(12345, TextFormat.ParseUInt32("12345"));
+      Assert.AreEqual(2147483647, TextFormat.ParseUInt32("2147483647"));
       Assert.AreEqual(2147483648U, TextFormat.ParseUInt32("2147483648"));
       Assert.AreEqual(4294967295U, TextFormat.ParseUInt32("4294967295"));
 
-      Assert.AreEqual(          0L, TextFormat.ParseInt64(          "0"));
-      Assert.AreEqual(          1L, TextFormat.ParseInt64(          "1"));
-      Assert.AreEqual(         -1L, TextFormat.ParseInt64(         "-1"));
-      Assert.AreEqual(      12345L, TextFormat.ParseInt64(      "12345"));
-      Assert.AreEqual(     -12345L, TextFormat.ParseInt64(     "-12345"));
-      Assert.AreEqual( 2147483647L, TextFormat.ParseInt64( "2147483647"));
+      Assert.AreEqual(0L, TextFormat.ParseInt64("0"));
+      Assert.AreEqual(1L, TextFormat.ParseInt64("1"));
+      Assert.AreEqual(-1L, TextFormat.ParseInt64("-1"));
+      Assert.AreEqual(12345L, TextFormat.ParseInt64("12345"));
+      Assert.AreEqual(-12345L, TextFormat.ParseInt64("-12345"));
+      Assert.AreEqual(2147483647L, TextFormat.ParseInt64("2147483647"));
       Assert.AreEqual(-2147483648L, TextFormat.ParseInt64("-2147483648"));
-      Assert.AreEqual( 4294967295L, TextFormat.ParseInt64( "4294967295"));
-      Assert.AreEqual( 4294967296L, TextFormat.ParseInt64( "4294967296"));
+      Assert.AreEqual(4294967295L, TextFormat.ParseInt64("4294967295"));
+      Assert.AreEqual(4294967296L, TextFormat.ParseInt64("4294967296"));
       Assert.AreEqual(9223372036854775807L, TextFormat.ParseInt64("9223372036854775807"));
       Assert.AreEqual(-9223372036854775808L, TextFormat.ParseInt64("-9223372036854775808"));
 
-      Assert.AreEqual(          0L, TextFormat.ParseUInt64(          "0"));
-      Assert.AreEqual(          1L, TextFormat.ParseUInt64(          "1"));
-      Assert.AreEqual(      12345L, TextFormat.ParseUInt64(      "12345"));
-      Assert.AreEqual( 2147483647L, TextFormat.ParseUInt64( "2147483647"));
-      Assert.AreEqual( 4294967295L, TextFormat.ParseUInt64( "4294967295"));
-      Assert.AreEqual( 4294967296L, TextFormat.ParseUInt64( "4294967296"));
+      Assert.AreEqual(0L, TextFormat.ParseUInt64("0"));
+      Assert.AreEqual(1L, TextFormat.ParseUInt64("1"));
+      Assert.AreEqual(12345L, TextFormat.ParseUInt64("12345"));
+      Assert.AreEqual(2147483647L, TextFormat.ParseUInt64("2147483647"));
+      Assert.AreEqual(4294967295L, TextFormat.ParseUInt64("4294967295"));
+      Assert.AreEqual(4294967296L, TextFormat.ParseUInt64("4294967296"));
       Assert.AreEqual(9223372036854775807UL, TextFormat.ParseUInt64("9223372036854775807"));
       Assert.AreEqual(9223372036854775808UL, TextFormat.ParseUInt64("9223372036854775808"));
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/Collections/Dictionaries.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/Collections/Dictionaries.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/Collections/Dictionaries.cs	(revision 4068)
@@ -30,5 +30,4 @@
 // (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 // OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-using System;
 using System.Collections;
 using System.Collections.Generic;
@@ -50,6 +49,5 @@
         return false;
       }
-      foreach (KeyValuePair<TKey,TValue> leftEntry in left)
-      {
+      foreach (KeyValuePair<TKey, TValue> leftEntry in left) {
         TValue rightValue;
         if (!right.TryGetValue(leftEntry.Key, out rightValue)) {
@@ -72,5 +70,5 @@
     }
 
-    public static IDictionary<TKey, TValue> AsReadOnly<TKey, TValue> (IDictionary<TKey, TValue> dictionary) {
+    public static IDictionary<TKey, TValue> AsReadOnly<TKey, TValue>(IDictionary<TKey, TValue> dictionary) {
       return dictionary.IsReadOnly ? dictionary : new ReadOnlyDictionary<TKey, TValue>(dictionary);
     }
